r2417 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Mon Mar 27 10:58:47 PST 2006


Author: manuel
Date: 2006-03-27 11:58:46 -0700 (Mon, 27 Mar 2006)
New Revision: 2417

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Placing current switches in alphabetical order.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-03-27 18:48:53 UTC (rev 2416)
+++ jhalfs/branches/experimental/master.sh	2006-03-27 18:58:46 UTC (rev 2417)
@@ -98,20 +98,6 @@
 
 while test $# -gt 0 ; do
   case $1 in
-    --version | -V )
-        clear
-        echo "$version"
-        exit 0
-      ;;
-
-    --help | -h )
-        if [[ "$PROGNAME" = "blfs" ]]; then
-          blfs_usage
-        else
-          usage
-        fi
-      ;;
-
     --book | -B )
       test $# = 1 && eval "$exit_missing_arg"
       shift
@@ -137,7 +123,7 @@
       esac
       ;;
 
-    --directory | -d )
+    --directory | -D )
       test $# = 1 && eval "$exit_missing_arg"
       shift
       BUILDDIR=$1
@@ -146,6 +132,63 @@
       MKFILE=$JHALFSDIR/Makefile
       ;;
 
+    --fstab | -F )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      if [ -f $1 ] ; then
+        FSTAB=$1
+      else
+        echo -e "\nFile $1 not found. Verify your command line.\n"
+        exit 1
+      fi
+      ;;
+
+    --get-packages | -G )  HPKG=1    ;;
+
+    --help | -h )
+        if [[ "$PROGNAME" = "blfs" ]]; then
+          blfs_usage
+        else
+          usage
+        fi
+      ;;
+
+    --kernel-config | -K )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      if [ -f $1 ] ; then
+        CONFIG=$1
+      else
+        echo -e "\nFile $1 not found. Verify your command line.\n"
+        exit 1
+      fi
+      ;;
+
+    --make | -M )      RUNMAKE=1 ;;
+
+    --rebuild | -R )       CLEAN=1   ;;
+
+    --testsuites | -T )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      case $1 in
+        0 | 1 | 2 | 3 )
+          TEST=$1
+          ;;
+        * )
+          echo -e "\n$1 isn't a valid testsuites level value."
+          echo -e "You must to use 0, 1, 2, or 3.\n"
+          exit 1
+          ;;
+      esac
+      ;;
+
+    --version | -V )
+        clear
+        echo "$version"
+        exit 0
+      ;;
+
     --working-copy | -W )
       test $# = 1 && eval "$exit_missing_arg"
       shift
@@ -187,47 +230,6 @@
           fi
           ;;
 
-    --testsuites | -T )
-      test $# = 1 && eval "$exit_missing_arg"
-      shift
-      case $1 in
-        0 | 1 | 2 | 3 )
-          TEST=$1
-          ;;
-        * )
-          echo -e "\n$1 isn't a valid testsuites level value."
-          echo -e "You must to use 0, 1, 2, or 3.\n"
-          exit 1
-          ;;
-      esac
-      ;;
-
-    --get-packages | -P )  HPKG=1    ;;
-    --run-make | -M )      RUNMAKE=1 ;;
-    --rebuild )            CLEAN=1   ;;
-
-    --fstab )
-      test $# = 1 && eval "$exit_missing_arg"
-      shift
-      if [ -f $1 ] ; then
-        FSTAB=$1
-      else
-        echo -e "\nFile $1 not found. Verify your command line.\n"
-        exit 1
-      fi
-      ;;
-
-    --kernel-config | -C )
-      test $# = 1 && eval "$exit_missing_arg"
-      shift
-      if [ -f $1 ] ; then
-        CONFIG=$1
-      else
-        echo -e "\nFile $1 not found. Verify your command line.\n"
-        exit 1
-      fi
-      ;;
-
     * )
       if [[ "$PROGNAME" = "blfs" ]]; then
         blfs_usage




More information about the alfs-log mailing list